libzypp 17.37.10

zyppng::detail::make_statewithtransition_set< NoState, std::variant< HeadState, States... >, Transitions... > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | FirstState = typename make_statewithtransition< HeadState, Transitions...>::Type
using | Type = typename make_statewithtransition_set_helper< std::variant<NoState, FirstState>, std::variant<States...>, Transitions...>::Type

## Detailed Description

template<typename NoState, typename HeadState, typename ... States, typename ... Transitions>
struct zyppng::detail::make_statewithtransition_set< NoState, std::variant< HeadState, States... >, Transitions... >

Definition at line 201 of file statemachine.h.

## Member Typedef Documentation

## ◆ FirstState

template<typename NoState, typename HeadState, typename ... States, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set< NoState, std::variant< HeadState, States... >, Transitions... >::FirstState = typename make_statewithtransition< HeadState, Transitions...>::Type

Definition at line 202 of file statemachine.h.

## ◆ Type

template<typename NoState, typename HeadState, typename ... States, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set< NoState, std::variant< HeadState, States... >, Transitions... >::Type = typename make_statewithtransition_set_helper< std::variant<NoState, FirstState>, std::variant<States...>, Transitions...>::Type

Definition at line 203 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h